﻿///<reference path="../typings/globals/core-js/index.d.ts"/>

import { Component, Inject, enableProdMode, NgModule, ModuleWithProviders} from '@angular/core';
import { Routes,RouterModule } from '@angular/router';
import { FormsModule} from '@angular/forms';
import { CommonModule } from '@angular/common';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { BrowserModule } from '@angular/platform-browser';
import { WjInputModule } from 'wijmo/wijmo.angular2.input';
import { AppPipesModule } from './pipes/appPipes';
import { Globalization } from './Globalization';
import { CultureControls } from "./CultureControls";
import { Login } from "./login";
'use strict';

// The application root component.
@Component({
    selector: 'app-cmp',
    templateUrl: '../src/AppCmp.html',
})
export class AppCmp {
}
export const routes: Routes = [
    { path: '', redirectTo: 'login', pathMatch: 'full' },
    { path: 'login', component: Login },
    { path: 'culture', component: CultureControls }
];
export const routing: ModuleWithProviders = RouterModule.forRoot(routes, { useHash: true });
@NgModule({
    imports: [WjInputModule, BrowserModule, FormsModule,  AppPipesModule, routing],
    declarations: [AppCmp, CultureControls, Login],
    bootstrap: [AppCmp]
})
export class AppModule {
}

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
